> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balance

> v3/get-unified-balance

<Note>
  Please make sure to generate a new `signature` whenever you are creating a new balance request.
</Note>


## OpenAPI

````yaml post /api/v3/get-unified-balance
openapi: 3.0.0
info:
  title: Niobi Application API
  description: Niobi List API
  version: 1.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Live API Server
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/v3/get-unified-balance:
    post:
      tags:
        - payment
      summary: v3/get-unified-balance
      description: v3/get-unified-balance
      operationId: v3/get-unified-balance
      requestBody:
        description: Payload required for initiating a Niobi payment transaction.
        required: true
        content:
          application/json:
            schema:
              required:
                - client_id
                - params
                - salt
                - sender
                - timestamp
                - signature
              properties:
                client_id:
                  description: >-
                    The Client id is your public key which is generated when you
                    are creating a new API integration from our app
                  type: string
                  example: K1PoY1WYricSpXh6Wm24twnk6ecPJOWrHGsqiKJr
                sender:
                  description: >-
                    The Sender is the title of the API Integration which was
                    created through our app. you can just copy this title and
                    use it whenever making a new signature
                  type: string
                timestamp:
                  description: this is the current timestamp when the request is being made
                  type: integer
                salt:
                  description: >-
                    Salt is used for security purposes. This is a random string
                    and can be unique value for each request or always the same.
                  type: string
                signature:
                  description: >-
                    this is the signature which was generated after signing the
                    request. you can copy it from the response we provide from
                    the api/niobi-signature endpoint
                  type: string
                params:
                  required:
                    - wallet_account
                    - currency
                  properties:
                    wallet_account:
                      description: Wallet account can be main-wallet or sub-wallet.
                      type: string
                      example: 1234
                    currency:
                      description: Currency of the transaction.
                      type: string
                      example: KES
                  type: object
              type: object
      responses:
        '200':
          description: Ok.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'true'
                  message:
                    type: string
                    example: Balance fetched successfully.
                  data:
                    type: array
                    items:
                      type: string
                type: object
        '400':
          description: User not found.
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: User not found.
                type: object
        '403':
          description: >-
            Entity integration record not found or Client id not matched or
            Request was not verified..
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: >-
                      Entity integration record not found or Client id not
                      matched or Request was not verified..
                  data:
                    type: array
                    items:
                      type: string
                type: object
        '404':
          description: User not found
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  message:
                    type: string
                    example: User not found.
                type: object

````